X
Nhấn vào đây để đến phiên bản di động của trang web.

Diễn đàn trợ giúp

Why does Firefox 59 not play audio even if Linux is already running PulseAudio?

Được đăng

The various pages to help with no audio say to run PulseAudio. My Linux Mint already has PulseAudio running. Restarting PulseAudio doesn't help.

Firefox displays a message at the top of the window claiming the problem is libavcodec. I have the most recent libavcodec.

I get sound and video from many sources, but cannot hear the previews or streaming from the Freegal music service.

The various pages to help with no audio say to run PulseAudio. My Linux Mint already has PulseAudio running. Restarting PulseAudio doesn't help. Firefox displays a message at the top of the window claiming the problem is libavcodec. I have the most recent libavcodec. I get sound and video from many sources, but cannot hear the previews or streaming from the Freegal music service.

Chi tiết hệ thống bổ sung

Phần bổ trợ đã cài đặt

  • Shockwave Flash 11.2 r202

Ứng dụng

  • Chuỗi đại diện người dùng: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0

Thông tin chi tiết

James
  • Moderator
1595 giải pháp 11242 câu trả lời
Được đăng

I have not had this issue with Firefox 59.0.2 myself however there can be some instances of where Firefox 58 and 59 may be unable to play or record sound on some Linux distributions and desktop environments. This has been fixed in Firefox 60.0 which is currently on the Beta channel and Release will be on May 9th.

https://support.mozilla.org/en-US/kb/no-sound-firefox-59-linux


edit: Wait are getting this issue with current Firefox 60.0b10 Beta build?

I have not had this issue with Firefox 59.0.2 myself however there can be some instances of where Firefox 58 and 59 may be unable to play or record sound on some Linux distributions and desktop environments. This has been fixed in Firefox 60.0 which is currently on the Beta channel and Release will be on May 9th. https://support.mozilla.org/en-US/kb/no-sound-firefox-59-linux edit: Wait are getting this issue with current Firefox 60.0b'''10''' Beta build?

Được chỉnh sửa bởi James vào

cor-el
  • Top 10 Contributor
  • Moderator
17468 giải pháp 157853 câu trả lời
Được đăng

Note that you have an outdated Shockwave Flash plugin, current is 29.0.0.113.

  • Shockwave Flash 11.2 r202

You can download the latest Flash player plugin for Firefox on this page.


Bug 1435212 - Add support for FFmpeg 3.5 (libavcodec/libavformat v58)

(please do not comment in bug reports
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
)

Note that you have an outdated Shockwave Flash plugin, current is 29.0.0.113. *Shockwave Flash 11.2 r202 You can download the latest Flash player plugin for Firefox on this page. *https://get.adobe.com/flashplayer/otherversions/ ---- Bug 1435212 - Add support for FFmpeg 3.5 (libavcodec/libavformat v58) (<i>please do not comment in bug reports<br>https://bugzilla.mozilla.org/page.cgi?id=etiquette.html</i>)